# Gimp.Image.prototype.add_vguide

    function add_vguide(xposition: Number(gint)): Number(guint) {
        // Gjs wrapper for gimp_image_add_vguide()
    }

Add a vertical guide to an image.

This procedure adds a vertical guide to an image. It takes the input image and the x-position of the new guide as parameters. It returns the guide ID of the new guide.

xposition

  The guide's x-offset from left of image.

Returns

  The new guide.